Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class HTMLActionHandler

    java.lang.Object
      org.eclipse.birt.report.engine.api.HTMLActionHandler

All Implemented Interfaces:
  IHTMLActionHandler

    public class HTMLActionHandler

extends java.lang.Object
implements IHTMLActionHandler

Defines a default action handler for HTML output format

Field Summary
`protected java.util.logging.Logger` | `log` logger

Constructor Summary
`HTMLActionHandler()`

Method Summary
`protected void` | `appendBookmark(java.lang.StringBuffer buffer, java.lang.String bookmark)` Append bookmark.
`protected void` | `appendBookmarkAsParamter(java.lang.StringBuffer buffer, java.lang.String bookmark)` Append bookmark as parameter .
`protected void` | `appendFormat(java.lang.StringBuffer buffer, java.lang.String format)` Append format.
`protected void` | `appendParamter(java.lang.StringBuffer buffer, java.lang.String key, java.lang.Object valueObj)` Append parameter.
`protected void` | `appendReportDesignName(java.lang.StringBuffer buffer, java.lang.String reportName)` Append report design name into a StringBuffer.
`protected java.lang.String` | `buildDrillAction(IAction action, java.lang.Object context)` builds URL for drillthrough action
`protected java.lang.Object` | `getRenderContext(org.eclipse.birt.report.engine.api.script.IReportContext context)` Get render context.
`java.lang.String` | `getURL(IAction actionDefn, org.eclipse.birt.report.engine.api.script.IReportContext context)` Get URL of the action.
`java.lang.String` | `getURL(IAction actionDefn, java.lang.Object context)` Generates a URL based on the action definition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected java.util.logging.Logger log

  logger

Constructor Detail

### HTMLActionHandler

    public HTMLActionHandler()

Method Detail

### getURL

    public java.lang.String getURL(IAction actionDefn,
                                   org.eclipse.birt.report.engine.api.script.IReportContext context)

  Get URL of the action.

  Specified by:
    `getURL` in interface `IHTMLActionHandler`
  Parameters:
    `actionDefn` -
    `context` -
  Returns:
    URL

### getURL

    public java.lang.String getURL(IAction actionDefn,
                                   java.lang.Object context)

  Description copied from interface: `IHTMLActionHandler`
  Generates a URL based on the action definition.

  Specified by:
    `getURL` in interface `IHTMLActionHandler`
  Parameters:
    `actionDefn` - definition of an action
    `context` - the context for creating the hyper link
  Returns:
    the URL based on an action

### buildDrillAction

    protected java.lang.String buildDrillAction(IAction action,
                                                java.lang.Object context)

  builds URL for drillthrough action

  Parameters:
    `action` - instance of the IAction instance
    `context` - the context for building the action string
  Returns:
    a URL

### appendReportDesignName

    protected void appendReportDesignName(java.lang.StringBuffer buffer,
                                          java.lang.String reportName)

  Append report design name into a StringBuffer.

  Parameters:
    `buffer` -
    `reportName` -

### appendFormat

    protected void appendFormat(java.lang.StringBuffer buffer,
                                java.lang.String format)

  Append format.

  Parameters:
    `buffer` -
    `format` -

### appendParamter

    protected void appendParamter(java.lang.StringBuffer buffer,
                                  java.lang.String key,
                                  java.lang.Object valueObj)

  Append parameter.

  Parameters:
    `buffer` -
    `key` -
    `valueObj` -

### appendBookmarkAsParamter

    protected void appendBookmarkAsParamter(java.lang.StringBuffer buffer,
                                            java.lang.String bookmark)

  Append bookmark as parameter .

  Parameters:
    `buffer` -
    `bookmark` -

### appendBookmark

    protected void appendBookmark(java.lang.StringBuffer buffer,
                                  java.lang.String bookmark)

  Append bookmark.

  Parameters:
    `buffer` -
    `bookmark` -

### getRenderContext

    protected java.lang.Object getRenderContext(org.eclipse.birt.report.engine.api.script.IReportContext context)

  Get render context.

  Parameters:
    `context` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.